BcAttrCertTest (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cert.test

## Class BcAttrCertTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.cert.test.BcAttrCertTest

- All Implemented Interfaces:
    junit.framework.Test

      public class BcAttrCertTest
      extends junit.framework.TestCase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte[]` | `attrCert`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BcAttrCertTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `void` | `testCertWithBaseCertificateID()`
    `void` | `testFully()`
    `void` | `testGenerateWithCert()`
    `void` | `testGenerateWithPrincipal()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### attrCert

          public static byte[] attrCert

  - ### Constructor Detail

    - #### BcAttrCertTest

          public BcAttrCertTest()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Overrides:
        `getName` in class `junit.framework.TestCase`

    - #### testCertWithBaseCertificateID

          public void testCertWithBaseCertificateID()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testGenerateWithCert

          public void testGenerateWithCert()
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testGenerateWithPrincipal

          public void testGenerateWithPrincipal()
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testFully

          public void testFully()
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`